com.amazonaws.services.simpleworkflow.model

## Class ChildWorkflowExecutionFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ChildWorkflowExecutionFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ChildWorkflowExecutionFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ChildWorkflowExecutionFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChildWorkflowExecutionFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChildWorkflowExecutionFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` The details of the failure (if provided).
`Long` `getInitiatedEventId()` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`String` `getReason()` The reason for the failure (if provided).
`Long` `getStartedEventId()` The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started.
`WorkflowExecution` `getWorkflowExecution()` The child workflow execution that failed.
`WorkflowType` `getWorkflowType()` The type of the child workflow execution.
`int` `hashCode()`
`void` `setDetails(String details)` The details of the failure (if provided).
`void` `setInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`void` `setReason(String reason)` The reason for the failure (if provided).
`void` `setStartedEventId(Long startedEventId)` The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started.
`void` `setWorkflowExecution(WorkflowExecution workflowExecution)` The child workflow execution that failed.
`void` `setWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ChildWorkflowExecutionFailedEventAttributes` `withDetails(String details)` The details of the failure (if provided).
`ChildWorkflowExecutionFailedEventAttributes` `withInitiatedEventId(Long initiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution.
`ChildWorkflowExecutionFailedEventAttributes` `withReason(String reason)` The reason for the failure (if provided).
`ChildWorkflowExecutionFailedEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started.
`ChildWorkflowExecutionFailedEventAttributes` `withWorkflowExecution(WorkflowExecution workflowExecution)` The child workflow execution that failed.
`ChildWorkflowExecutionFailedEventAttributes` `withWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChildWorkflowExecutionFailedEventAttributes

    public ChildWorkflowExecutionFailedEventAttributes()

### Method Detail

#### setWorkflowExecution

    public void setWorkflowExecution(WorkflowExecution workflowExecution)

The child workflow execution that failed.

Parameters:
  `workflowExecution` - The child workflow execution that failed.

#### getWorkflowExecution

    public WorkflowExecution getWorkflowExecution()

The child workflow execution that failed.

Returns:
  The child workflow execution that failed.

#### withWorkflowExecution

    public ChildWorkflowExecutionFailedEventAttributes withWorkflowExecution(WorkflowExecution workflowExecution)

The child workflow execution that failed.

Parameters:
  `workflowExecution` - The child workflow execution that failed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The type of the child workflow execution.

Returns:
  The type of the child workflow execution.

#### withWorkflowType

    public ChildWorkflowExecutionFailedEventAttributes withWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReason

    public void setReason(String reason)

The reason for the failure (if provided).

Parameters:
  `reason` - The reason for the failure (if provided).

#### getReason

    public String getReason()

The reason for the failure (if provided).

Returns:
  The reason for the failure (if provided).

#### withReason

    public ChildWorkflowExecutionFailedEventAttributes withReason(String reason)

The reason for the failure (if provided).

Parameters:
  `reason` - The reason for the failure (if provided).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

The details of the failure (if provided).

Parameters:
  `details` - The details of the failure (if provided).

#### getDetails

    public String getDetails()

The details of the failure (if provided).

Returns:
  The details of the failure (if provided).

#### withDetails

    public ChildWorkflowExecutionFailedEventAttributes withDetails(String details)

The details of the failure (if provided).

Parameters:
  `details` - The details of the failure (if provided).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInitiatedEventId

    public void setInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getInitiatedEventId

    public Long getInitiatedEventId()

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withInitiatedEventId

    public ChildWorkflowExecutionFailedEventAttributes withInitiatedEventId(Long initiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `initiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public ChildWorkflowExecutionFailedEventAttributes withStartedEventId(Long startedEventId)

The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ChildWorkflowExecutionStarted` event recorded when this child workflow execution was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ChildWorkflowExecutionFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`